Name:          nghttp2
Version:       1.48.0
Release:       1mamba
Summary:       An implementation of the Hypertext Transfer Protocol version 2 in C
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://nghttp2.org/
Source:        https://github.com/nghttp2/nghttp2.git/v%{version}/nghttp2-%{version}.tar.bz2
License:       MIT
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libcares-devel
BuildRequires: libgcc
BuildRequires: libjansson-devel
BuildRequires: libjemalloc-devel
BuildRequires: libopenssl-devel
BuildRequires: libpython3-devel
BuildRequires: libstdc++6-devel
BuildRequires: libxml2-devel
BuildRequires: libz-devel
## AUTOBUILDREQ-END
BuildRequires: Cython
BuildRequires: cmake
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}

%description
This is an implementation of the Hypertext Transfer Protocol version 2 in C.
The framing layer of HTTP/2 is implemented as a reusable C library.
On top of that, we have implemented an HTTP/2 client, server and proxy.  We have also developed load test and benchmarking tools for HTTP/2.

%package -n lib%{name}
Group:         System/Libraries
Summary:       Shared libraries for %{name}

%description -n lib%{name}
This package contains shared libraries for %{name}.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      pkg-config

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.


%debug_package

%prep
%setup -q

%build
%cmake -d build \
   -DPYTHON_EXECUTABLE=%{__python3}

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall -C build

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -n lib%{name} -p /sbin/ldconfig
%postun -n lib%{name} -p /sbin/ldconfig

%files
%defattr(-,root,root)
%{_bindir}/deflatehd
%{_bindir}/inflatehd
%{_mandir}/man1/h2load.1*
%{_mandir}/man1/nghttp.1*
%{_mandir}/man1/nghttpd.1*
%{_mandir}/man1/nghttpx.1*
%{_datadir}/nghttp2/fetch-ocsp-response
%dir %{_docdir}/nghttp2
%{_docdir}/nghttp2/README.rst

%files -n lib%{name}
%defattr(-,root,root)
%{_libdir}/libnghttp2.so.*
%{python3_sitearch}/nghttp2.cpython-*.so
%dir %{python3_sitearch}/python_nghttp2-%{version}-py*.egg-info
%{python3_sitearch}/python_nghttp2-%{version}-py*.egg-info/*
%doc AUTHORS COPYING LICENSE

%files -n lib%{name}-devel
%defattr(-,root,root)
%dir %{_includedir}/nghttp2
%{_includedir}/nghttp2/*.h
%{_libdir}/libnghttp2.so
%{_libdir}/pkgconfig/libnghttp2.pc

%changelog
* Fri Jun 24 2022 Automatic Build System <autodist@mambasoft.it> 1.48.0-1mamba
- automatic version update by autodist

* Fri Feb 25 2022 Automatic Build System <autodist@mambasoft.it> 1.47.0-1mamba
- automatic version update by autodist

* Tue Oct 19 2021 Automatic Build System <autodist@mambasoft.it> 1.46.0-1mamba
- automatic version update by autodist

* Tue Sep 21 2021 Automatic Build System <autodist@mambasoft.it> 1.45.1-1mamba
- automatic version update by autodist

* Mon Sep 20 2021 Automatic Build System <autodist@mambasoft.it> 1.45.0-1mamba
- automatic version update by autodist

* Sun Jul 18 2021 Automatic Build System <autodist@mambasoft.it> 1.44.0-1mamba
- automatic version update by autodist

* Sun Feb 14 2021 Automatic Build System <autodist@mambasoft.it> 1.43.0-1mamba
- automatic version update by autodist

* Tue Dec 08 2020 Silvan Calarco <silvan.calarco@mambasoft.it> 1.42.0-1mamba
- package created using the webbuild interface
